<?

    include("authentication.php");

	include("conexao_e_agenda.php");

	include("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

    $nome_usuario = $_SESSION["nome_usuario"];



if (isset($_POST['id_c'])) {

$id_c=$_POST['id_c'];

} else {

$id_c="";

}

if (isset($_POST['titulo'])) {

$titulo=$_POST['titulo'];

} else {

$titulo="";

}

if (isset($_POST['link'])) {

$link=$_POST['link'];

} else {

$link="index.php";

}

//print_r($_FILES);

//exit();

/*

$tamanho = 204800;



 if($_FILES['documento']['size'] > $tamanho) 

        {

		$tam_arquivo = $_FILES['documento']['size'];

		echo "<br><br><center>Arquivo em tamanho $tam_arquivo Kbytes muito grande! <br><br>A imagem deve ser de no máximo " . $tamanho . " Kbytes(200k) com a resolução até 1024x768 para uma boa visualizaçao no site.<br><br> Diminua e envie novamente</center><br><br>";

			

			print "<a href='cad_noticia_alt.php?id_tcomp=$id_c' target='_self'><center><img src='btn_voltar.gif' border=0></center></a>";

			exit();

        }

*/

$MAXUPLD=ini_get('upload_max_filesize');



$nome = $id_c."_".$_FILES['documento']['name'];

//-------------



if ($_SERVER["SERVER_ADDR"] == '127.0.0.1'){

$uploaddir_mini = '../baners/';

}else{

$uploaddir_mini = '/home/msoftx/public_html/adrianosoutoimoveis.com.br/baners';

}



    $foto = $_FILES['documento'];

   

      if(($foto['type'] == 'image/jpeg')||($foto['type'] == 'image/pjpeg')){

	   Redimensionar_jpeg_mini($foto, $nome, 180, $uploaddir_mini);

	   //Redimensionar_jpeg($foto, $nome, 800, $uploaddir);

   }

   if($foto['type'] == 'image/gif'){

	   Redimensionar_gif($foto, $nome, 180, $uploaddir_mini);

	   //Redimensionar_gif($foto, $nome, 800, $uploaddir);

   }

   if($foto['type'] == 'image/png'){

	   Redimensionar_png($foto, $nome, 180, $uploaddir_mini);

	   //Redimensionar_png($foto, $nome, 800, $uploaddir);

   } 

   /*if($foto['type'] == 'image/jpeg'){

	   Redimensionar_jpeg_baner($foto, $nome, 180, $uploaddir_mini);

	   //Redimensionar_jpeg($foto, $nome, 680, $uploaddir);

   }

   if($foto['type'] == 'image/pjpeg'){

	   Redimensionar_jpeg_baner($foto, $nome, 180, $uploaddir_mini);

	   //Redimensionar_jpeg($foto, $nome, 680, $uploaddir);

   }

   if($foto['type'] == 'image/gif'){

	   Redimensionar_gif($foto, $nome, 180, $uploaddir_mini);

	   //Redimensionar_gif($foto, $nome, 680, $uploaddir);

   }

   if($foto['type'] == 'image/png'){

	   Redimensionar_png($foto, $nome, 180, $uploaddir_mini);

	   //Redimensionar_png($foto, $nome, 680, $uploaddir);

   } */



//if (move_uploaded_file($_FILES['documento']['tmp_name'], $uploaddir . $nome)) {

//------inseri e faz update



$dt_foto = date("Y-m-d");

	

	$sql ="Insert baner_fotos set caminho_foto='$nome',dt_foto='$dt_foto',fk_baner='$id_c',titulo='$titulo',link='$link'";

	$result = mysqli_query($conexao,$sql)

    or die ( mysqli_error($conexao));

 

 $alerta = "O baner foi inserido com Sucesso!";

?>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Keywords" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<script language="JavaScript">

<!--



function Redireciona(){     // Redireciona p/ o arquivo especificado 

  alert("<? echo $alerta ?>");

  open('cad_baner_alt.php?id_tcomp=<? echo $id_c; ?>', '_top');

}



// -->

</script>



</head>



<body onLoad="JavaScript:Redireciona()">





</body>

</html>

<? 

/*

} else {

print "<pre>";     

      print "<center><h><strong>Possível erro, verifique o tamanho do arquivo selecionado<strong></h></center>\n";

	  

	  print "<center><h><strong>Ele não deve ter mais de $MAXUPLD"."B ou seja 2.000 KB (Entendido...).<strong></h></center>\n";

    print_r($_FILES);

	print "<a href='cad_noticia_alt.php?id_tcomp=$id_c' target='_self'><center><img src='btn_voltar.gif' border=0></center></a>";

print "</pre>";

}

*/

?>